<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#2196f3">
    <title><?= ($page_title) ?  $page_title." " : $page_title ?>OYNUCAZ - CS GO Server, CS 1.6 Server, TS3 Server</title>
    <meta name="keywords" content="cs go server, cs 1.6 server, cs go server listesi, cs 1.6 server listesi, cs go indir, cs 1.6 indir, cs go server kirala, cs 1.6 server kirala">
    <meta name="description" content="cs go server, cs 1.6 server, cs go server listesi, cs 1.6 server listesi, cs go indir, cs 1.6 indir, cs go server kirala, cs 1.6 server kirala">
    <link rel="icon" type="image/x-icon" href="favicon.ico" />
    <link href="css/final.css" rel="stylesheet"> 
    <link href='https://fonts.googleapis.com/css?family=Exo+2:400,300&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
  
  </head>
  <body>  
    <nav class="navbar menu navbar-fixed-top header">
      <div id="subTopMenu">
          <ul>
            <li><a href="https://facebook.com/oynucazcom" target="_blank" class="facebook"><i class="fab fa-facebook-f" style="font-size:18px"></i></a></li>
            <li><a href="https://instagram.com/oynucazcom" target="_blank" class="instagram"><i class="fab fa-instagram"></i></a></li>
            <li><a href="https://steamcommunity.com/groups/oynucazcom" target="_blank" class="steam"><i class="fab fa-steam"></i></a></li> 
          </ul>
      </div>
      <div class="container">
        <div class="navbar-header text-center logo">
          <a href="https://oynucaz.com/"><img src="img/logo.webp" alt="Oynucaz logo"/></a>
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#theMenu" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Menüyü göster/gizle</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
        </div>
        <div id="theMenu" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
            <li<?php if($cr_active == 'anasayfa'): ?> class="active"<?php endif; ?>><a href="./"><i class="fa fa-home"></i> &nbsp;ANASAYFA</a></li>
            <li<?php if($cr_active == 'sunucular'): ?> class="dropdown active"<?php else: ?> class="dropdown"<?php endif; ?>>
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="fa fa-server"></i>&nbsp;SERVER LİSTESİ <i class="fas fa-angle-down"></i></a> 
              <ul class="dropdown-menu">
                <li><a href="csgo-server-listesi.html">CS GO SERVER LİSTESİ</a></li>
                <li><a href="cs16-server-listesi.html">CS 1.6 SERVER LİSTESİ</a></li>
                <!-- <li><a href="ts3-server-listesi.html">TS3 SERVER LİSTESİ</a></li> -->
                <li><a href="cs16mac-server-listesi.html">CS 1.6 MAÇ SERVER LİSTESİ</a></li>
              </ul>
            </li>
            <li<?php if($cr_active == 'paketler'): ?> class="dropdown active"<?php else: ?> class="dropdown"<?php endif; ?>>
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="fa fa-shopping-cart"></i>&nbsp;SERVER KİRALA <i class="fas fa-angle-down"></i></a> 
              <ul class="dropdown-menu">
                <li><a href="csgo-server-kirala.html">CS GO SERVER KİRALA</a></li>
                <li><a href="cs16-server-kirala.html">CS 1.6 SERVER KİRALA</a></li>
               <!-- <li><a href="ts3-server-kirala.html">TS3 SERVER KİRALA</a></li> -->
                <li><a href="cs16mac-server-kirala.html">CS 1.6 MAÇ SERVER KİRALA</a></li>
              </ul>
            </li>        
            <li<?php if($cr_active == 'iletisim'): ?> class="active"<?php endif; ?>><a href="iletisim.html"><i class="fa fa-phone-square"></i> &nbsp;İLETİŞİM</a></li>
            <li class="<?=page_active('odeme');?>"><a href="odeme.html"><i class="fa fa-money-bill-alt"></i> &nbsp;ÖDEME</a></li>
            <li class="menu-panel"><a href="http://panel.oynucaz.com/"><i class="fa fa-user"></i> &nbsp;PANEL</a></li>
           <!-- <li class="menu-forum"><a href="https://forum.oynucaz.com" target="_blank"><i class="fa fa-comment"></i> &nbsp;FORUM</a></li> -->           
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>	
    <div class="wrapper-content">
      <div class="container">
        <?php if($_sliderDurum): ?>
        <div id="oynucazSliderWrapper">
          <div id="oynucazSlider" class="carousel slide" data-ride="carousel" data-interval="5000" data-wrap="true">           
<div class="mySlides">
  <div class="numbertext">1 / 3</div>
  <img src="img/csgo-server.webp" alt="CS:GO Server Kirala" style="width:100%">
</div>

<div class="mySlides">
  <div class="numbertext">2 / 3</div>
  <img src="img/cs16-server.webp" alt="CS 1.6 Server Kirala"style="width:100%">
</div>

<div class="mySlides">
  <div class="numbertext">3 / 3</div>
  <img src="img/cs16mac-server.webp" alt="CS 1.6 Maç Server Kirala" style="width:100%">
</div>

<a class="prev" onclick="plusSlides(-1)">&#10094;</a>
<a class="next" onclick="plusSlides(1)">&#10095;</a>

</div>
<script>
var slideIndex = 1;
showSlides(slideIndex);

function plusSlides(n) {
  showSlides(slideIndex += n);
}

function currentSlide(n) {
  showSlides(slideIndex = n);
}

function showSlides(n) {
  var i;
  var slides = document.getElementsByClassName("mySlides");
  var dots = document.getElementsByClassName("dot");
  if (n > slides.length) {slideIndex = 1}    
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";  
  }
  for (i = 0; i < dots.length; i++) {
      dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "block";  
  dots[slideIndex-1].className += " active";
}
</script>          </div>
        
        <?php endif; ?>
        <?php if($sayfabuton): ?>
        <div class="row"><div class="col-md-8 col-lg-9">
        <?php endif; ?>